Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #205 (closed defect: fixed)

Opened 14 years ago

Last modified 14 years ago

madwifi driver doesn't work well with NetworkManager

Reported by: kmaraas@broadpark.no Assigned to: mrenzmann
Priority: major Milestone: version 1.0.0 - first stable release
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: Pending:

Description (Last modified by mrenzmann)

My atheros/madwifi based card is misdetected by NetworkManager and ends up being shown as a wired network interface. This is probably a bug in how the madwifi registers itself in sysfs or something.

When comparing my working cisco card with the madwifi based one I see this diff in lshal output:

-udi = '/org/freedesktop/Hal/devices/net_00_0d_ed_26_47_0f'
-  info.udi = '/org/freedesktop/Hal/devices/net_00_0d_ed_26_47_0f'  (string)
+udi = '/org/freedesktop/Hal/devices/net_00_11_0a_80_83_b7'
+  info.udi = '/org/freedesktop/Hal/devices/net_00_11_0a_80_83_b7'  (string)
   linux.subsystem = 'net'  (string)
   linux.hotplug_type = 2  (0x2)  (int)
-  net.80211.mac_address = 59813283599  (0xded26470f)  (uint64)
-  info.product = 'WLAN Interface'  (string)
+  net.80203.mac_address = 73190638519  (0x110a8083b7)  (uint64)
+  info.product = 'Networking Interface'  (string)
   net.interface_up = false  (bool)
   net.arp_proto_hw_id = 1  (0x1)  (int)
-  net.linux.ifindex = 4  (0x4)  (int)
-  net.address = '00:0d:ed:26:47:0f'  (string)
-  net.interface = 'eth1'  (string)
-  net.physical_device = '/org/freedesktop/Hal/devices/pcmcia_351_10'  (string)
-  info.capabilities = {'net', 'net.80211'} (string list)
-  info.category = 'net.80211'  (string)
-  info.parent = '/org/freedesktop/Hal/devices/pcmcia_351_10'  (string)
-  linux.sysfs_path = '/sys/class/net/eth1'  (string)
+  net.linux.ifindex = 2  (0x2)  (int)
+  net.address = '00:11:0a:80:83:b7'  (string)
+  net.interface = 'wifi0'  (string)
+  net.physical_device = '/org/freedesktop/Hal/devices/pci_168c_13'  (string)
+  info.capabilities = {'net', 'net.80203'} (string list)
+  info.category = 'net.80203'  (string)
+  info.parent = '/org/freedesktop/Hal/devices/pci_168c_13'  (string)
+  linux.sysfs_path = '/sys/class/net/wifi0'  (string)

this is diff -up cisco.txt madwifi.txt. Looks like you should be registering the info.capabilities and info.category fields as net.80211 at least. Maybe that will help.

Attachments

sysfs-diff.txt (1.6 kB) - added by kmaraas@broadpark.no on 12/05/05 20:27:40.
diff of lshal output

Change History

12/05/05 20:27:40 changed by kmaraas@broadpark.no

  • attachment sysfs-diff.txt added.

diff of lshal output

12/06/05 08:00:39 changed by mrenzmann

  • description changed.

Related ticket: #70.

Probably NetworkManager fails to recognize wifi0 as wireless device because wifi0 has no support for wireless extensions. Can someone please try to find out if this assumption is correct? Or asking the other way round: it would be helpful to learn how NetworkManager determines whether a network card is WLAN or LAN.

12/06/05 08:01:21 changed by mrenzmann

  • version set to trunk.
  • milestone set to version 1.0.0 - first stable release.

01/04/06 07:46:41 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

I just committed a patch in r1380 that is supposed to solve the problems related to NetworkManager. Please give it a try and let me know if that works.

01/09/06 12:13:21 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.

Original reporter told on #madwifi that issues have been fixed with r1380 and NetworkManager works now. Thanks for the feedback.